QuattroParserInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
QuattroParserInternal::State Struct Reference

the state of QuattroParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType)
| constructor More...
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id More...
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style More...
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding */ More...

## Public Attributes
long | m_eof
| the last file position More...
libwps_tools_win::Font::Type | m_fontType
| the user font type More...
int | m_version
| the file version More...
bool | m_hasLICSCharacters
| flag to know if the character More...
std::vector< Font > | m_fontsList
| the fonts list More...
WPSPageSpan | m_pageSpan
| the actual document size More...
int | m_actPage
| the actual page More...
int | m_numPages
std::string | m_headerString
| the header string More...
std::string | m_footerString
| the footer string More...

## Detailed Description

the state of QuattroParser

## Constructor & Destructor Documentation

QuattroParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType | ) |
| inlineexplicit

constructor

## Member Function Documentation

bool QuattroParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | color
| ) |  | const

returns a color corresponding to an id

WPSFont QuattroParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding */

libwps_tools_win::Font::Type QuattroParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## Member Data Documentation

int QuattroParserInternal::State::m_actPage

the actual page

long QuattroParserInternal::State::m_eof

the last file position

std::vector<Font> QuattroParserInternal::State::m_fontsList

the fonts list

libwps_tools_win::Font::Type QuattroParserInternal::State::m_fontType

the user font type

std::string QuattroParserInternal::State::m_footerString

the footer string

bool QuattroParserInternal::State::m_hasLICSCharacters

flag to know if the character

std::string QuattroParserInternal::State::m_headerString

the header string

int QuattroParserInternal::State::m_numPages

WPSPageSpan QuattroParserInternal::State::m_pageSpan

the actual document size

int QuattroParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- Quattro.cpp